Page MenuHomePhabricator

Only show edit summary remaining character countdown for last 99 characters
Closed, ResolvedPublic

Description

Maybe we should consider only showing the character counter when people reach their last 100 characters ?

I feel that with 500-1000 it isn't as useful as before and might just inspire newbs to go "Ah i have this much space, so lets fill it !"

Event Timeline

TheDJ created this task.Mar 23 2018, 8:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 8:18 PM
matmarex renamed this task from Only show character countdown for last 99 characters to Only show edit summary remaining character countdown for last 99 characters.Apr 16 2018, 5:49 PM
matmarex claimed this task.Apr 16 2018, 6:14 PM
matmarex added a subscriber: matmarex.

I think this is an excellent idea.

Change 426963 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] mw.widgets.visibleLengthLimit: Do not show countdown until last 99 characters

https://gerrit.wikimedia.org/r/426963

TheDJ awarded a token.Apr 17 2018, 9:43 AM

I rather like Twitter's approach – a small doughnut chart in blue without numbers until you get to the threshold (of 20), when it turns orange and you get number too, and then when above the limit it's red (and the number is negative). Obviously we don't let the user write more than the limit ever, but it's pleasing how subtle it is until you need to pay attention.

matmarex triaged this task as Normal priority.Apr 30 2018, 10:24 PM

Change 426963 merged by jenkins-bot:
[mediawiki/core@master] mw.widgets.visibleLengthLimit: Do not show countdown until last 99 characters

https://gerrit.wikimedia.org/r/426963

matmarex closed this task as Resolved.May 7 2018, 1:52 PM
matmarex removed a project: Patch-For-Review.
Cirdan added a subscriber: Cirdan.May 13 2018, 8:41 AM